//------------------------------------------------------------------------------
//
// ppm.h 
//
// Copyright(C) SEIKO EPSON CORPORATION 2011-2014. All rights reserved.
//
// Source code derived/ported from work originally done by E Ink.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//------------------------------------------------------------------------------

#ifndef __PPM_H__
#define __PPM_H__

class ppm
{
	public:

		ppm(void );
		~ppm(void);

	public:

		void init( void );

	public:

		void read_file(const char * fn);
		int width(void) const { return _width; }
		int height(void) const { return _height; }
		unsigned data(int n) const;
        unsigned char * buffer(void) const { return (unsigned char*)_data; }

	public:

		void write_file(const char * fn);
		void width(int w) { _width = w; }
		void height(int h) { _height = h; }
		void data(int n, unsigned d);

	private:

		int _width;
		int _height;
		int _size;
		unsigned char * _data;
};


#endif // __PPM_H__


